# Create your views here.
from django.shortcuts import render_to_response
import urllib2
from oxdjango.shortcuts import render_to_json_response
import elementtree.ElementTree as ET

def index(request):
  return render_to_response("folkstone.html")

def shipjson(request):
  ext = request.GET
  url = "http://marinetraffic.com/ais/getxml.aspx?id=0.8963493388008952&sw_x=%s&sw_y=%s&ne_x=%s&ne_y=%s&zoom=10&fleet=" % (ext['sw_x'], ext['sw_y'], ext['ne_x'], ext['ne_y'])
#  print url
  u = urllib2.urlopen(url)
  xml = u.read()
  u.close()
  tree = ET.XML(xml)
  arr = {
    'type': 'FeatureCollection',
    'features': []  
  }
  for ship in tree.findall("V_POS"):
    lon = ship.attrib['LON']
    lat = ship.attrib['LAT']
    arr['features'].append({
      'type': 'Feature', 
      'geometry': {'type': 'Point', 'coordinates': [float(lon), float(lat)]},
      'properties': {'name': ship.attrib['N'], 'mmsi': ship.attrib['M']}
    })  
  return render_to_json_response(arr)

def shipDetail(request):
  mmsi = request.GET['mmsi']
  name = request.GET['name']
  MT_Basic_Url = "http://marinetraffic.com/ais/shipinfo.aspx?mmsi=%s&header=true&id=0.6916635176281586" % (mmsi,)
  u = urllib2.urlopen(MT_Basic_Url)
  html = u.read()
  return render_to_json_response({
    'MT_Basic': html
  })
